require 'test/unit'
require 'more-assertions'
require 'app'
require 'configuration'
require 'rexml/document'
require 'path-cache.rb'
require 'renderer'
include REXML



def assert_page_has_action(action)
  assert_true(XPath.first(@doc, "//form[@name='#{action}']"))
end

def assert_page_has_no_action(action)
  assert_equal(nil, XPath.first(@doc, "//form[@name='#{action}']"))
end

def assert_page_title_matches(regexp)
  assert_match(regexp, XPath.first(@doc, '//title').text)
end

def rexml_document(page_name, app)
  REXML::Document.new(Renderer.new.send(page_name, app))
end

def given_app_with(&block)
  @app = Configuration.new(&block).make_app
end

# Note that having this take a block is entirely gratuitous. It just
# seems to look better that way.

def when_rendering(page_name)
  @doc = rexml_document(page_name, @app)
  yield
end

