require 'declarative-test-util'

class CaseDisplayPageTests < Test::Unit::TestCase


  def test_typical_case_display_page
    given_app_with {
      case_record('clinic_id' => 19600219)
    }
    when_rendering(:case_display_page) {
      assert_page_title_matches(/^Case 19600219/)
      assert_page_has_action(:add_visit)
      assert_page_has_action(:add_audit)
    }
  end

  def test_nominal_audit_prevents_the_add_audit_action
    given_app_with {
      audit_record('variance' => 'nominal')
    }
    when_rendering(:case_display_page) { 
      assert_page_has_no_action(:add_audit)
    }
  end

end


